aMule preview tries to open files with mplayer, which is not installed

Bug #89672 reported by Stephan on 2007-03-04
2
Affects Status Importance Assigned to Milestone
AMule
Won't Fix
Unknown
amule (Ubuntu)
Low
Unassigned

Bug Description

Binary package hint: amule

When I try to preview files in progress I get "xterm: Can't execvp mplayer: No such file or directory" because aMule starts files with mplayer by default whicht is not installed. I searched the configurations menu several times but could not find the option to use VLC or the GNOME video player.

Default should be - in my opinion - the GNOME video player because it's installed on all Ubunut systems.

Furthermore default browser should be Mozilla Firefox instead of Konqueror.

Related branches

Changed in amule:
importance: Undecided → Low
Changed in amule:
status: Unconfirmed → Confirmed

aMule 2.2.0 SVN (hardy) does not have a player selected by default

The problem is that for each desktop that would establish a predetermined player...

Emilio Pozuelo Monfort (pochu) wrote :

This shouldn't hardcode a player, but should try to open the default one, using e.g. gnome-open for GNOME or the KDE/Xfce/Mac/Windows equivalent.

Emilio Pozuelo Monfort (pochu) wrote :

Proposed a solution at http://forum.amule.org/index.php?topic=14721.0, using xdg-open if available

Changed in amule:
status: Confirmed → Triaged
Changed in amule:
assignee: nobody → festor90
status: Triaged → In Progress

I tried to make a patch but I have not succeeded, apparently it is necessary to make more changes than simply replace mplayer by xdg-open.

I will try to resolve this in the upstream.

Changed in amule:
assignee: festor90 → nobody
status: In Progress → Confirmed
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package amule - 2.2.3-1ubuntu1

---------------
amule (2.2.3-1ubuntu1) jaunty; urgency=low

  * Fixed "aMule doesn't handle ed2k links" in GNOME (LP: #214100)
   + debian/control
     - New amule-gnome-support package, which depends of amule-utils, has
       a schemas file that allows integrating automatically ed2k protocol
       with any GNOME web browser that use GConf (like Firefox).
     - Now amule-utils suggests amule-gnome-support package.
   + debian/rules
     - Invoke dh_gconf which adds gconf2 dependency and makes necessary
       scripts in amule-gnome-support package to register schemas file
       in GConf database.
  * Now aMule will use user's preferred app to see previews. Fixed (LP: #89672)
   + Added use_xdg-open.diff patch
  * Deleted comments of Build-Depends to avoid problems with pbuilder.
  * Put Ubuntu MOTU Developers as Maintainer and Adeodato Simó as
    XSBC-Original-Maintainer.

 -- Surfaz Gemon Meme <email address hidden> Wed, 11 Feb 2009 17:20:02 +0100

Changed in amule:
status: Confirmed → Fix Released
Changed in amule:
status: Unknown → Won't Fix
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers

Remote bug watches

Bug watches keep track of this bug in other bug trackers.